<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'ebuy',

    /*
     * Package.
     */
    'package'   => 'question',

    /*
     * Modules.
     */
    'modules'   => ['question'],

    
    'question'       => [
        'model' => [
            'model'                 => \Ebuy\Question\Models\Question::class,
            'table'                 => 'questions',
            'presenter'             => \Ebuy\Question\Repositories\Presenter\QuestionPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id',  'product_id',  'question',  'answer',  'asked_user_id',  'answered_user_id',  'user_type',  'question_asked_time',  'answered_time',  'deleted_at'],
            'translatables'         => [],
            'upload_folder'         => 'question/question',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Ebuy',
            'package'   => 'Question',
            'module'    => 'Question',
        ],

    ],
];
