<?php

// web routes  for question
Route::prefix('{guard}/question')->group(function () {
    Route::resource('question', 'QuestionResourceController');
});

// Public routes for question
Route::get('questions/', 'QuestionPublicController@index');
Route::get('questions/{slug?}', 'QuestionPublicController@show');

if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for pages
            Route::prefix('{guard}/page')->group(function () {
                Route::apiResource('page', 'QuestionResourceController');
            });
            // Public routes for pages
            Route::get('questions/', 'QuestionPublicController@index');
            Route::get('questions/{slug?}', 'QuestionPublicController@show');
        }
    );
}

