<?php

namespace Ebuy\Question;

use User;

class Question
{
    /**
     * $question object.
     */
    protected $question;

    /**
     * Constructor.
     */
    public function __construct(\Ebuy\Question\Interfaces\QuestionRepositoryInterface $question)
    {
        $this->question = $question;
    }

    /**
     * Returns count of question.
     *
     * @param array $filter
     *
     * @return int
     */
    public function count()
    {
        return  0;
    }

    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.question.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->question->pushCriteria(new \Litepie\Ebuy\Repositories\Criteria\QuestionUserCriteria());
        }

        $question = $this->question->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('question::' . $view, compact('question'))->render();
    }
}
