<?php

namespace Ebuy\Question\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class QuestionTransformer extends TransformerAbstract
{
    public function transform(\Ebuy\Question\Models\Question $question)
    {
        return [
            'id'                => $question->getRouteKey(),
            'key'               => [
                'public'    => $question->getPublicKey(),
                'route'     => $question->getRouteKey(),
            ], 
            'product_id'        => $question->product_id,
            'question'          => $question->question,
            'answer'            => $question->answer,
            'asked_user_id'     => $question->asked_user_id,
            'answered_user_id'  => $question->answered_user_id,
            'user_type'         => $question->user_type,
            'question_asked_time' => $question->question_asked_time,
            'answered_time'     => $question->answered_time,
            'deleted_at'        => $question->deleted_at,
            'url'               => [
                'public'    => trans_url('question/'.$question->getPublicKey()),
                'user'      => guard_url('question/question/'.$question->getRouteKey()),
            ], 
            'status'            => trans('app.'.$question->status),
            'created_at'        => format_date($question->created_at),
            'updated_at'        => format_date($question->updated_at),
        ];
    }
}